# DM Scripts

Questa repository contiene i seguenti script:

-   `steam-install` &mdash; [@BachoSeven](https://git.phc.dm.unipi.it/BachoSeven)

    Serve ad installare `steam` (o con poche modifiche qualsiasi AppImage) in aula 3/4, pur non avendo FUSE installato.
    Per utilizzarlo, basta eseguire il seguente comando da terminale:

    ```bash
    curl -L "https://git.phc.dm.unipi.it/phc/dm-scripts/raw/branch/main/steam-install" | bash
    ```

-   `printa4` &mdash; [@BachoSeven](https://git.phc.dm.unipi.it/BachoSeven)

    Serve a stampare in aula4 (o qualsiasi altra stampante del dip) dal proprio computer, aprendo Okular graficamente da remoto.

-   `impagina` &mdash; [@BachoSeven](https://git.phc.dm.unipi.it/BachoSeven)

    Impagina un pdf in modo da poi poterlo stampare "a libretto", usando l'opzione fronte-retro (lato corto), per poi tagliare e sovrapporre una metà sull'altra.

    Dipendenze: `pdftk`, `pdfjam` (parte di TeXlive), `groff` (non solo `groff-base`)

-   `bookletify` &mdash; [@Fran314](https://git.phc.dm.unipi.it/Fran314)

    Simile a `impagina`, ma in python. Formatta un pdf in modo da poi poterlo stampare "a libretto" tagliando chiudendolo come un libro.

    Supporta:
    -   trim
    -   diversi tipi di paper size (A4 di default, per poter mandare in stampa senza dover mettere "fit-to-page")
    -   aggiunta di un bordo interno (a sinistra per le pagine dispari, a destra per le pagine pari) per la rilegatura
    -   pipe da stdin / a stdout
    
    Dipendenze: `PyPDF2`

-   `pokepixel` &mdash; [@Fran314](https://git.phc.dm.unipi.it/Fran314)

    Permette di "disegnare" a terminale degli sprite di pokemon presi da [questa repo](https://github.com/msikma/pokesprite/)

    Ad esempio `pokepixel latias.png` cerca un file di nome `latias.png` nella cartella corrente. Se lo trova renderizza quello, altrimenti lo cerca nella repo linkata. Per ora funziona solo con i pokemon fino alla 7a gen non shiny

-   `gobbino` &mdash; [@BachoSeven](https://git.phc.dm.unipi.it/BachoSeven) + [@Dilillo](http://poisson.phc.dm.unipi.it/~dilillo/Vario/index.html)

    Permette di scaricare video e/o pdf di qualsiasi corso presente sul sito del professor Gobbino

-   `pdfcompress` &mdash; [@aziis98](https://git.phc.dm.unipi.it/aziis98) (script preso in prestito [da questa repo](https://git.phc.dm.unipi.it/aziis98/chatgpt-scripts/src/branch/main/bin/pdfcompress2))

    Comprime un PDF vettorizzato (ad esempio note scritte su un iPad) utilizzando poppler (file di ~100MB diventa tranquillamente di ~10MB)
